Bug 2001918 - Review Request: python-azure-synapse-managedprivateendpoints - Microsoft Azure Synapse Managed Private Endpoints Client Library for Python
Summary: Review Request: python-azure-synapse-managedprivateendpoints - Microsoft Azur...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sanne Raymaekers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2001731
TreeView+ depends on / blocked
 
Reported: 2021-09-07 12:45 UTC by Major Hayden 🤠
Modified: 2021-09-08 19:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-08 19:43:48 UTC
Type: ---
sanne.raymaekers: fedora-review+


Attachments (Terms of Use)

Comment 1 Major Hayden 🤠 2021-09-07 12:47:05 UTC
This one blocks packaging of azure-cli 2.28.0 in BZ #2001731

Comment 2 Ben Beasley 2021-09-07 13:49:01 UTC
This has the recurring Azure SDK issue of MIT license with no license text. You have to handle it somehow (https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/#_license_text).

Until you can get a PR accepted, why not just add the License.txt from GitHub as an additional source for each affected package? You can even use the git tag for the particular PyPI component release you are packaging, e.g., in this case:

https://github.com/Azure/azure-sdk-for-python/raw/azure-synapse-managedprivateendpoints_0.3.0/LICENSE.txt

or

> https://github.com/Azure/azure-sdk-for-python/raw/%{srcname}_%{version}/LICENSE.txt

Comment 3 Major Hayden 🤠 2021-09-07 13:58:01 UTC
That certainly makes things easier -- I wasn't aware I could pull in the LICENSE from the github repository itself. I'll revise the SRPM right quick. Thank you!

Comment 5 Miro Hrončok 2021-09-07 14:22:09 UTC
> Obsoletes:      python-azure-sdk < 5.0.1


I am afraid this does nothing useful for two reasons:

1) the "python-azure-sdk" name is the name of the source package, python3-azure-sdk needs to be obsoleted instead.
2) the tag is in the component/source package definition and since this spec file only actually produces python3-%{srcname}, no built package has this obsolete tag, it needs to be moved below %package -n python3-%{srcname} to actually happen.

Comment 6 Major Hayden 🤠 2021-09-07 14:24:14 UTC
(In reply to Miro Hrončok from comment #5)
> > Obsoletes:      python-azure-sdk < 5.0.1
> 
> I am afraid this does nothing useful for two reasons:
> 
> 1) the "python-azure-sdk" name is the name of the source package,
> python3-azure-sdk needs to be obsoleted instead.
> 2) the tag is in the component/source package definition and since this spec
> file only actually produces python3-%{srcname}, no built package has this
> obsolete tag, it needs to be moved below %package -n python3-%{srcname} to
> actually happen.

Thanks for that, Miro. I read the docs quite a few times on obsoleting a package, but it appears I've still missed the mark. I'll need to go back and correct this package and many others.

Comment 8 Sanne Raymaekers 2021-09-07 20:52:07 UTC
LGTM

[NOTE] 0.4.0 is the latest version, any reason not to package that?


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License", "*No copyright* Expat
     License". 11 files have unknown license. Detailed output of
     licensecheck in /home/admin/fedora-review/2001918-python-azure-
     synapse-managedprivateendpoints/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.10/site-
     packages/azure(python3-azure-batch, python3-azure-mgmt-advisor,
     python3-azure-mgmt-redhatopenshift, python3-azure-mgmt-reservations,
     python3-azure-mgmt-containerinstance, python3-azure-mgmt-eventhub,
     python3-azure-mgmt-signalr, python3-azure-mgmt-cdn, python3-azure-
     keyvault-certificates, python3-azure-mgmt-servicefabric,
     python3-azure-mgmt-batch, python3-azure-mgmt-core, python3-azure-mgmt-
     batchai, python3-azure-datalake-store, python3-azure-mgmt-billing,
     python3-azure-mgmt-keyvault, python3-azure-mgmt-marketplaceordering,
     python3-azure-mgmt-datamigration, python3-azure-mgmt-extendedlocation,
     python3-azure-mgmt-sqlvirtualmachine, python3-azure-keyvault-secrets,
     python3-azure-mgmt-recoveryservices, python3-azure-mgmt-apimanagement,
     python3-azure-mgmt-servicebus, python3-azure-cosmos, python3-azure-
     graphrbac, python3-azure-mgmt-iothub, python3-azure-mgmt-
     containerservice, python3-azure-mgmt-policyinsights, python3-azure-
     mgmt-deploymentmanager, python3-azure-mgmt-botservice, python3-azure-
     mgmt-web, python3-azure-mgmt-cognitiveservices, python3-azure-mgmt-
     network, python3-azure-mgmt-imagebuilder, python3-azure-mgmt-
     managedservices, python3-azure-mgmt-containerregistry, python3-azure-
     mgmt-security, python3-azure-identity, python3-azure-mgmt-compute,
     python3-azure-mgmt-media, python3-azure-mgmt-azurestackhci,
     python3-azure-mgmt-rdbms, python3-azure-mgmt-iotcentral,
     python3-azure-multiapi-storage, python3-azure-storage-common,
     python3-azure-keyvault-keys, python3-azure-mgmt-authorization,
     python3-azure-mgmt-resource, python3-azure-mgmt-eventgrid,
     python3-azure-mgmt-databoxedge, python3-azure-keyvault-administration,
     python3-azure-mgmt-applicationinsights, python3-azure-mgmt-hdinsight,
     python3-azure-mgmt-maps, python3-azure-synapse-artifacts,
     python3-azure-mgmt-kusto, azure-cli, python3-azure-mgmt-
     trafficmanager, python3-azure-mgmt-cosmosdb, python3-azure-mgmt-dns,
     python3-azure-mgmt-recoveryservicesbackup, python3-azure-mgmt-netapp,
     python3-azure-mgmt-managementgroups, python3-azure-mgmt-
     appconfiguration, python3-azure-synapse-spark, python3-azure-mgmt-
     servicefabricmanagedclusters, python3-azure-mgmt-redis, python3-azure-
     mgmt-devtestlabs, python3-azure-mgmt-monitor, python3-azure-mgmt-
     privatedns, python3-azure-mgmt-search, python3-azure-mgmt-synapse,
     python3-azure-synapse-accesscontrol, python3-azure-common,
     python3-azure-appconfiguration, python3-azure-mgmt-storage,
     python3-azure-mgmt-sql, python3-azure-mgmt-loganalytics,
     python3-azure-core, python3-azure-mgmt-hybridcompute),
     /usr/lib/python3.10/site-packages/azure/synapse(python3-azure-synapse-
     spark, python3-azure-synapse-accesscontrol, python3-azure-synapse-
     artifacts)
     NOTE: these are fine, owned by all the python3-azure packages (which together form the sdk)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
     NOTE: Decision was made to split all azure sdk components into separate packages (see #1953789)
[x]: Requires correct, justified where necessary.
     NOTE: generated by pyproject macros
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     NOTE: Builds fine on the targeted releases (f35/36).
     f33/f34 aren't targeted, those still have python-azure-sdk shipped.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[ ]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
     NOTE: see #1953789
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-azure-synapse-managedprivateendpoints-0.3.0-1.fc36.noarch.rpm
          python-azure-synapse-managedprivateendpoints-0.3.0-1.fc36.src.rpm
python3-azure-synapse-managedprivateendpoints.noarch: W: obsolete-not-provided python3-azure-sdk
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/Azure/azure-sdk-for-python/raw/azure-synapse-managedprivateendpoints_0.3.0/LICENSE.txt :
  CHECKSUM(SHA256) this package     : 7b7c80bf1253f5dabfe692633bd7908b6a44d1caba1ab2a776911b224e93f0fd
  CHECKSUM(SHA256) upstream package : 7b7c80bf1253f5dabfe692633bd7908b6a44d1caba1ab2a776911b224e93f0fd
https://files.pythonhosted.org/packages/source/a/azure-synapse-managedprivateendpoints/azure-synapse-managedprivateendpoints-0.3.0.zip :
  CHECKSUM(SHA256) this package     : 7cdd48b99f5f8f181166feaa87d820eafe8a6299ca9577e7a0ba9f6420d7a116
  CHECKSUM(SHA256) upstream package : 7cdd48b99f5f8f181166feaa87d820eafe8a6299ca9577e7a0ba9f6420d7a116


Requires
--------
python3-azure-synapse-managedprivateendpoints (rpmlib, GLIBC filtered):
    (python3.10dist(azure-common) >= 1.1 with python3.10dist(azure-common) < 2)
    (python3.10dist(azure-core) < 2 with python3.10dist(azure-core) >= 1.6)
    python(abi)
    python3.10dist(msrest)



Provides
--------
python3-azure-synapse-managedprivateendpoints:
    python-azure-synapse-managedprivateendpoints
    python3-azure-synapse-managedprivateendpoints
    python3.10-azure-synapse-managedprivateendpoints
    python3.10dist(azure-synapse-managedprivateendpoints)
    python3dist(azure-synapse-managedprivateendpoints)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2001918
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Python
Disabled plugins: PHP, R, C/C++, Java, fonts, SugarActivity, Perl, Ocaml, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 9 Major Hayden 🤠 2021-09-08 10:58:52 UTC
(In reply to Sanne Raymaekers from comment #8)
> LGTM
> 
> [NOTE] 0.4.0 is the latest version, any reason not to package that?

azure-cli has a requirement for 0.3.0 right now and they haven't bumped it to 0.4.0 quite yet. 🤷🏻‍♂️

Thanks for looking!

Comment 10 Gwyn Ciesla 2021-09-08 13:35:46 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-azure-synapse-managedprivateendpoints

Comment 11 Fedora Update System 2021-09-08 19:43:48 UTC
FEDORA-2021-594ad61fc5 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.